<?php
function colorful_tag_cloud_register_settings() {
	add_option('colorful_tag_cloud_type', 'random');
	add_option('colorful_tag_cloud_color_code', '#FFFFFF');
	register_setting('colorful_tag_cloud_options', 'colorful_tag_cloud_type');
	register_setting('colorful_tag_cloud_options', 'colorful_tag_cloud_color_code');
}
add_action('admin_init', 'colorful_tag_cloud_register_settings');

function colorful_tag_cloud_register_options_page() {
	add_options_page(__('Colorful Tag Cloud Options Page', COLORFUL_TAG_CLOUD_TEXT_DOMAIN), __('Colorful Tag Cloud', COLORFUL_TAG_CLOUD_TEXT_DOMAIN), 'manage_options', COLORFUL_TAG_CLOUD_TEXT_DOMAIN.'-options', 'colorful_tag_cloud_options_page');
}
add_action('admin_menu', 'colorful_tag_cloud_register_options_page');

function colorful_tag_cloud_get_select_option($select_option_name, $select_option_value, $select_option_id){
	?>
	<select name="<?php echo $select_option_name; ?>" id="<?php echo $select_option_name; ?>"<?php if($select_option_name == "colorful_tag_cloud_type"){ ?> onchange="customise_color_code(this);"<?php } ?>>
		<?php
		for($num = 0; $num < count($select_option_id); $num++){
			$select_option_value_each = $select_option_value[$num];
			$select_option_id_each = $select_option_id[$num];
			?>
			<option value="<?php echo $select_option_id_each; ?>"<?php if (get_option($select_option_name) == $select_option_id_each){?> selected="selected"<?php } ?>>
				<?php echo $select_option_value_each; ?>
			</option>
		<?php } ?>
	</select>
	<?php
}

function colorful_tag_cloud_get_checked($checkbox_name, $check_value){
	if(is_array($checkbox_name)){
		if(in_array($check_value, $checkbox_name)){
			?> checked="checked"<?php
		}
	}
}

function colorful_tag_cloud_get_checkbox_option($checkbox_name, $checkbox_value, $checkbox_id){
	for($num = 0; $num < count($checkbox_id); $num++){
		$checkbox_value_each = $checkbox_value[$num];
		$checkbox_id_each = $checkbox_id[$num];
		?>
		<input type="checkbox" name="<?php echo $checkbox_name; ?>[]" id="<?php echo $checkbox_id_each; ?>" value="<?php echo $checkbox_id_each; ?>"<?php colorful_tag_cloud_get_checked(get_option($checkbox_name), $checkbox_id_each); ?>><label for="<?php echo $checkbox_id_each; ?>"><?php echo $checkbox_value_each; ?></label>
	<?php
	}
}

$arefly_plugins_info = get_arefly_plugins_info();
$locale_code = get_arefly_plugins_info_locale();

function colorful_tag_cloud_options_page() {
	global $arefly_plugins_info, $locale_code;
?>
<script>
function customise_color_code(select){
	var selected_option = select.options[select.selectedIndex].value;
	var version_option = document.getElementById("colorful_tag_cloud_type");
	if(selected_option == "customise"){
		jQuery("#colorful_tag_cloud_customise_div").slideDown();
	}else{
		jQuery("#colorful_tag_cloud_customise_div").slideUp();
	}
}
</script>
<div class="wrap">
	<?php screen_icon(); ?>
	<h2><?php _e("Colorful Tag Cloud Options Page", COLORFUL_TAG_CLOUD_TEXT_DOMAIN); ?></h2>
	<form method="post" action="options.php">
		<?php settings_fields('colorful_tag_cloud_options'); ?>
		<h3><?php _e("General Options", COLORFUL_TAG_CLOUD_TEXT_DOMAIN); ?></h3>
			<p><?php echo $arefly_plugins_info["notice"][$locale_code]; ?></p>
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><label for="colorful_tag_cloud_type"><?php _e("Tag Cloud's Color Type: ", COLORFUL_TAG_CLOUD_TEXT_DOMAIN); ?></label></th>
					<td>
						<?php colorful_tag_cloud_get_select_option("colorful_tag_cloud_type", array(__('Random', COLORFUL_TAG_CLOUD_TEXT_DOMAIN), __('Customise', COLORFUL_TAG_CLOUD_TEXT_DOMAIN)), array('random', 'customise')); ?>
						<div id="colorful_tag_cloud_customise_div"<?php if(get_option("colorful_tag_cloud_type") != "customise"){ ?> style="display: none;"<?php } ?>>
							<br />
							<input type="text" name="colorful_tag_cloud_color_code" id="colorful_tag_cloud_color_code" value="<?php echo get_option('colorful_tag_cloud_color_code'); ?>" title="<?php printf(__('Color code format: %s', COLORFUL_TAG_CLOUD_TEXT_DOMAIN), '#FFFFFF'); ?>" pattern="#[0-9A-z]{6}" size="7" maxlength="7" required="required" />
							<?php printf(__('(Click %shere%s to choose color code)', SWITCH_JQ_VERSION_TEXT_DOMAIN), '<a href="http://tools.arefly.com/html-color/" target="_blank">', "</a>"); ?>
						</div>
					</td>
				</tr>
			</table>
		<?php submit_button(); ?>
	</form>
	<blockquote>
		<p><?php echo $arefly_plugins_info["plugin_by_arefly"][$locale_code]; ?></p>
		<ol>
			<?php foreach ($arefly_plugins_info["plugins"] as $plugin_info){ ?>
				<li><a href="<?php echo $plugin_info["link"]; ?>" target="_blank"><?php echo $plugin_info["name"]; ?></a></li>
			<?php } ?>
		</ol>
	</blockquote>
</div>
<?php
}
?>